import { InProductTestPageObject } from '@atlaskit/in-product-testing';
import { RendererPageObject } from './Renderer';
export class EditorPageObject extends InProductTestPageObject {
  getEditorArea() {
    return this.cy.get('div.ProseMirror', {
      timeout: 30000
    });
  }
  getTitleArea() {
    return this.cy.get('[data-test-id="editor-title"]');
  }
  publish(opts) {
    if (opts !== null && opts !== void 0 && opts.publishButton) {
      this.cy.get(opts.publishButton).click();
      return new RendererPageObject(this.cy);
    }
    throw Error('No publish button selector supplied!');
  }
}